function PlaceVehiclesTB(%playersetup, %enemysetup)
{
   %spawnid = getRandom(1, 4);
   
   // for the highway battles, they only have 2 spawns
   
   if($Battlegrid $= "battle8")
   {
      %rand = getRandom(1, 2);
      
      if(%rand == 1)
         %spawnid = 1;
      else
         %spawnid = 3;
   }
   
   if($Battlegrid $= "battle9")
   {
      %rand = getRandom(1, 2);
      
      if(%rand == 1)
         %spawnid = 4;
      else
         %spawnid = 2;
   }
      
   echo("SPAWN ID " @ %spawnid);
   
   if(%enemysetup $= "")
      %rand = getRandom(1, 5);
   else
      %rand = %enemysetup;
   
   echo("ENEMY BATTLE FORMATION " @ %rand);
   
//   %rand = 5;
      
   switch$ (%rand)
   {
      case 1:
         EnemyHeavyFormationTB(%spawnid);      
      case 2:
         EnemyLightFormationTB(%spawnid);
      case 3:
         EnemyBoxFormationTB(%spawnid);      
      case 4:
         EnemySkirmishLineTB(%spawnid);
      case 5:
         EnemyLineFormationTB(%spawnid);
   }
   
   if(%playersetup $= "")
      %formation = $battleformation;
   else
      %formation = %playersetup;
      
   echo("PLAYER BATTLE FORMATION " @ %formation);
   
   switch$ (%formation)
   {
      case "heavyfirst":
         PlayerHeavyFormationTB(%spawnid);      
      case "lightfirst":
         PlayerLightFormationTB(%spawnid);
      case "box":
         PlayerBoxFormationTB(%spawnid);      
      case "skirmishline":
         PlayerSkirmishLineTB(%spawnid);
      case "line":
         PlayerLineFormationTB(%spawnid);
      default:
         PlayerLineFormationTB(%spawnid);      
   }
}
